#
# Definitions for target i686-pc-linux-gnu.
#
# based on eXept's:
#
# linux-elf/amd64_mode32: cpu: athlon64 in 32 bit mode os:linux-ELF options: +commonSymbol
#
#------------------ start of linux/amd64_mode32 ---------------------
#
# $Header: /cvs/stx/stx/configurations/linux-elf/amd64_mode32/defines,v 1.25 2016-03-17 22:32:46 stefan Exp $

include $(MAKELIB)/config-linux-gnu.make
include $(MAKELIB)/config-i686.make

AS_CC=as
AS_CC_CFLAG=
ASFLAGS=--32


# LD=ld -m elf_i386
# STC_LD=ld -m elf_i386
STC_LDFLAGS=$(CCCONFOPT) -L/usr/lib -Llib -L/usr/local/lib -L/usr/X11/lib
CLASSLIB_LD=ld -m elf_i386
LDFLAGS=$(CCCONFOPT) -Llib -L/usr/local/lib -L/usr/X11/lib -L/usr/lib \
	-Wl,-rpath,'$$ORIGIN',-rpath,'$$ORIGIN/lib',-rpath,'$$ORIGIN/../lib'
LD_REL_FLAG=-r

#OPTIONAL_DL_LIB=-ldl
#OPTIONAL_LIBDL_TARGET=libdld


MAKE_ZLIB_ARG= -f Makefile.amd64_mode32
MAKE_BZ2LIB_ARG= -f Makefile.amd64_mode32

FFI_CC="$(CC) -m32"
FFI_LD='ld -m elf_i386'

FFI_CFLAGS=$(CCCONFOPT)
#------------------ end of linux-elf/amd64_mode32 ---------------------
O_RULE=__STANDARD_O_RULE__
EXTRA_LIBS=-ldl -lX11 -lXext

# Following is a workaround for Debian / Ubuntu boxes.
#
ifeq ($(wildcard /usr/lib/i386-linux-gnu/libXft.so),)
ifeq ($(wildcard /usr/lib/i386-linux-gnu/libXft.so.2),/usr/lib/i386-linux-gnu/libXft.so.2)
LIB_XFT=-l:libXft.so.2 -l:libfontconfig.so.1
endif
endif

